# List manifests

Similar to querying shipments, we allow you to query manifests since there will likely be a large number over a long period of time.

Endpoint: GET /v1/manifests
Version: 1.1.202604070904
Security: api_key

## Query parameters:

  - `warehouse_id` (string)
    Warehouse ID
    Example: "se-28529731"

  - `ship_date_start` (string)
    ship date start range
    Example: "2018-09-23T15:00:00.000Z"

  - `ship_date_end` (string)
    ship date end range
    Example: "2018-09-23T15:00:00.000Z"

  - `created_at_start` (string)
    Used to create a filter for when a resource was created (ex. A shipment that was created after a certain time)
    Example: "2019-03-12T19:24:13.657Z"

  - `created_at_end` (string)
    Used to create a filter for when a resource was created, (ex. A shipment that was created before a certain time)
    Example: "2019-03-12T19:24:13.657Z"

  - `carrier_id` (string)
    Carrier ID
    Example: "se-28529731"

  - `page` (integer)
    Return a specific page of results. Defaults to the first page. If set to a number that's greater than the number of pages of results, an empty page is returned.
    Example: 2

  - `page_size` (integer)
    The number of results to return per response.
    Example: 50

  - `label_ids` (array)
    Array of label ids
    Example: ["se-28529731"]

## Response 200 fields (application/json):

  - `manifests` (array, required)
    The list of available manifests

  - `manifests.manifest_id` (string)
    A string that uniquely identifies the manifest
    Example: "se-28529731"

  - `manifests.form_id` (string)
    A string that uniquely identifies the form
    Example: "se-28529731"

  - `manifests.created_at` (string)
    The date-time that the manifest was created
    Example: "2019-07-12T13:37:39.050Z"

  - `manifests.ship_date` (string)
    The date-time that the manifests shipments will be picked up
    Example: "2019-07-12T13:37:39.050Z"

  - `manifests.shipments` (integer)
    The number of shipments that are included in this manifest
    Example: 100

  - `manifests.label_ids` (array)
    An array of the label ids used in this manifest.
    Example: ["se-28529731"]

  - `manifests.warehouse_id` (string)
    A string that uniquely identifies the warehouse
    Example: "se-28529731"

  - `manifests.submission_id` (string)
    A string that uniquely identifies the submission
    Example: "9475711899564878915476"

  - `manifests.carrier_id` (string)
    A string that uniquely identifies the carrier
    Example: "se-28529731"

  - `manifests.manifest_download` (object)
    Object containing the href link to download the manifest file

  - `manifests.manifest_download.href` (string)
    The URL of the linked resource, if any
    Example: "https://example.com/resource"

  - `total` (integer, required)
    The total number of manifests returned
    Example: 3

  - `page` (integer, required)
    Current page of the list manifests results
    Example: 3

  - `pages` (integer, required)
    Total number of pages for list manifests results
    Example: 4

  - `links` (object, required)
    Helpful links to other pages of results

  - `links.first` (object, required)
    The link to the first page of results.  This object will _always_ have an href field. If there are no results, then the first page will contain an empty array of items.

  - `links.first.href` (string, required)
    The URL of the linked resource, if any
    Example: "https://example.com/resource"

  - `links.first.type` (string)
    The type of resource, or the type of relationship to the parent resource

  - `links.last` (object, required)
    The link to the final page of results.  This object will _always_ have an href field. If there are no results, then the final page will contain an empty array of items.

  - `links.last.href` (string, required)
    The URL of the linked resource, if any
    Example: "https://example.com/resource"

  - `links.last.type` (string)
    The type of resource, or the type of relationship to the parent resource

  - `links.prev` (object, required)
    The link to the previous page of results.  The href field will only be set when the page is 2 or greater.

  - `links.prev.href` (string)
    The URL of the linked resource, if any
    Example: "https://example.com/resource"

  - `links.prev.type` (string)
    The type of resource, or the type of relationship to the parent resource

  - `links.next` (object, required)
    The link to the next page of results.  The href field will only be set when the page is less than pages.

  - `links.next.href` (string)
    The URL of the linked resource, if any
    Example: "https://example.com/resource"

  - `links.next.type` (string)
    The type of resource, or the type of relationship to the parent resource

## Response 400 fields (application/json):

  - `request_id` (string, required)
    A UUID that uniquely identifies the request id.
This can be given to the support team to help debug non-trivial issues that may occur
    Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009"

  - `errors` (array, required)
    The errors associated with the failed API call

  - `errors.error_source` (string, required)
    The source of the error, as indicated by the name this informs us if the API call failed because of the
carrier, the order source, or the ShipEngine API itself.
    Enum: "carrier", "order_source", "shipengine"

  - `errors.error_type` (string, required)
    The type of error
    Enum: "account_status", "business_rules", "validation", "security", "system", "integrations"

  - `errors.error_code` (string, required)
    The error code specified for the failed API Call
    Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned", "file_not_found", "shipping_rule_not_found", "service_not_determined", "no_rates_returned", "funding_source_registration_in_progress", "insurance_failure", "funding_source_missing_configuration", "funding_source_error", "freight_connection_inactive", "freight_provider_id_required", "freight_provider_already_connected", "freight_shipment_not_found", "freight_tracking_not_available", "freight_tracking_not_found", "freight_shipment_not_batchable"

  - `errors.message` (string, required)
    An error message associated with the failed API call
    Example: "Body of request cannot be null."

  - `errors.carrier_id` (string)
    A string that uniquely identifies the carrier that generated the error.
    Example: "se-28529731"

  - `errors.carrier_code` (string)
    The name of the shipping carrier that generated the error, such as fedex, dhl_express, stamps_com, etc.
    Example: "dhl_express"

  - `errors.field_name` (string)
    The name of the field that caused the error
    Example: "shipment.ship_to.phone_number"


